import * as tslib_1 from "tslib";
import { ContentTypes, FetchHookTypes } from '../types';
import { ModulePrefix } from '../index';
import Meta from '../plugin/inheritable/Meta';
export default (function (slug, createdOrAsync) {
    if (createdOrAsync === void 0) { createdOrAsync = FetchHookTypes.Created; }
    if (!slug || slug.length < 1) {
        throw new Error('Slug no provided');
    }
    var mixin = {};
    if (createdOrAsync === FetchHookTypes.Created) {
        // Appears in Vue version
        mixin.computed = {
            wpData: function () {
                return this.$store.state[ModulePrefix + "_page"].page[slug]
                    ? this.$store.state[ModulePrefix + "_page"].page[slug]
                    : null;
            }
        };
        mixin.created = function () {
            return tslib_1.__awaiter(this, void 0, void 0, function () {
                return tslib_1.__generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, this.$store.dispatch(ModulePrefix + "_page/load", {
                                slug: slug,
                                type: ContentTypes.Page
                            })];
                        case 1:
                            _a.sent();
                            return [2 /*return*/];
                    }
                });
            });
        };
    }
    if (createdOrAsync === FetchHookTypes.AsyncData) {
        // Appears in Nuxt version
        mixin.asyncData = function (_a) {
            var store = _a.store;
            return tslib_1.__awaiter(this, void 0, void 0, function () {
                var wpData;
                return tslib_1.__generator(this, function (_b) {
                    switch (_b.label) {
                        case 0: return [4 /*yield*/, store.dispatch(ModulePrefix + "_page/load", {
                                slug: slug,
                                type: ContentTypes.Page
                            })];
                        case 1:
                            _b.sent();
                            wpData = store.state[ModulePrefix + "_page"].page[slug]
                                ? store.state[ModulePrefix + "_page"].page[slug]
                                : null;
                            return [2 /*return*/, {
                                    wpData: wpData
                                }];
                    }
                });
            });
        };
    }
    // META
    mixin.mixins = [
        Meta('website') // Page
    ];
    return mixin;
});
//# sourceMappingURL=loadSections.js.map