# Why use this module?

<br>

## State of modern web development

<br>

<b>As modern web techniologies progress and create new standards, developers' expectations go along them.</b> For last few years we could observe a constantly growing need for <b>fast, efficient and reliable front-end experiences</b> that are <b>stable and sustainable</b> but also <b>flexible and easy to modify and update</b>.

There is also a well-known requirement from website owners to have <b>intuitive and user-friendly CMS platform enabling them to seamlessly work with their website's content</b>.

Having these requirements in mind, we decided to create <b>Vue.js + Wordpress module</b> answering all of these needs. This module is especially dedicated to: 

- <b>Vue.js developers</b> willing to use <b>WordPress as a back-end/CMS platform</b> for their app/website

- <b>WordPress developers</b> willing to level up their development & theming process by applying <a href="https://jamstack.org/">JAMstack approach</a> with <b>Vue.js as a main front-end technology</b>.

<br>

## Tradition vs Modernity

<br>

The traditional process of creating WordPress-based websites includes creating a theme written by a set of rules and standards that are <b>very specific and unique for this platform.</b> That means <b>you have to know both PHP and WordPress PHP</b> to be able to create front-end experiences for WordPress. It can be very limiting, especially in cases where:

- <b>You want to implement newest web technologies and features</b> like PWA or AMP

- <b>You don't know PHP / WordPress</b> well enough to create your own theme

- You want to have <b>100% freedom of working with WordPress data</b>

- You want to develop a <b>highly custom front-end experience</b> that only uses WordPress data for some parts of it

<br>

## Ease of use

<br>

<b>Vue Wordpress</b> module comes with set of essential features that enable you to immediately kick-off your new project thanks to <b>out-of-the-box WordPress Page/Post/Media/Menus handling</b> and <b>automatic Vuex data storage</b>. You can read more about module's core features <a href="/guide/introduction/features/">here</a>.

<br>

## Faster development

<br>

<b>Do more in less time.</b> Thanks to out-of-the-box functionalities and modern web app development flow you can drastically increase your efficiency and shorten development time.

<br>

## Extreme flexibility

<br>

This might be a biggest game-changer and main deal-breaker – <b>there is no better way to achieve infrastructure flexibility than separating back-end from front-end</b>. Thanks to this you can focus solely on either of these or both of them. What's most interesting is that with this module you are free to use <b>one front-end app with many different WordPress back-ends</b> and vice-versa - <b>one WordPress back-end with many front-end apps</b>.

<br>

## TL;DR

<br>

With this module <b>you can create fully customizable Vue.js/Nuxt.js apps using WordPress as their back-end</b> while having full flexibility and freedom to create a tailor-made configurations.